#pragma once

#include "character/states/CharacterStateBase.h"

namespace frostbite2D {

class MoveState : public CharacterStateBase {
public:
  MoveState();

  void OnEnter(CharacterStateMachine& machine,
               CharacterStateContext& context,
               CharacterStateId previousState) override;
  void OnUpdate(CharacterStateMachine& machine,
                CharacterStateContext& context) override;
};

} // namespace frostbite2D
